ZenCharts is compatible with Scriptel models that run on EasyScript.

ST1476 EasyScript

ST1571 EasyScript

ST1551 EasyScript

ST1526 EasyScript

The most cost-effective model that we are compatible with is the Scriptel Slimline 1x5.

https://scriptel.com/products/slimline-1x5-signature-pad/

Installation: Plug and play.

System Requirements:

  • Windows 7 - Windows 10

  • Java Runtime Environment 1.6+

  • 10 Megabytes of Hard Disk Space

  • OSX Lion (10.7+)

  • Java Runtime Environment 1.6+

  • 10 Megabytes of Hard Disk Space

Did this answer your question?